## ros-noetic-hector-map-tools 0.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(hector_map_tools)

find_package(catkin REQUIRED COMPONENTS nav_msgs)

find_package(Eigen3 REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS nav_msgs
  DEPENDS EIGEN3
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-noetic-hector-map-tools (0.5.2-4buster) buster; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-noetic-hector-map-tools (0.5.1-4buster) buster; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 Jan 2021 00:00:00 -0000

ros-noetic-hector-map-tools (0.5.0-4buster) buster; urgency=high

  * Moved hector_geotiff launch files to separate package to solve cyclic dependency.
    Clean up for noetic release.
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Marius Schnaubelt, Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-noetic-hector-map-tools (0.4.1-4buster) buster; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 May 2020 00:00:00 -0000

ros-noetic-hector-map-tools (0.3.6-4buster) buster; urgency=high

  * hector_map_tools: Use the FindEigen3.cmake module provided by Eigen
    This patch applies the recommendation from http://wiki.ros.org/jade/Migration and removes the
    dependency from package cmake_modules (unless your installation of Eigen3 does not provide a
    cmake config).
    Same as 1251d9dc20854f48da116eed25780c103a5bd003, but package hector_map_tools was not updated
    back then.
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 31 Oct 2019 00:00:00 -0000

ros-noetic-hector-map-tools (0.3.5-4buster) buster; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-noetic-hector-map-tools (0.3.4-4buster) buster; urgency=high

  * -Fix severe bug when not using square size maps (would results in completely wrong obstacle distances and coordinates)
  * Contributors: Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-noetic-hector-map-tools (0.3.3-4buster) buster; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 15 Jun 2014 00:00:00 -0000

ros-noetic-hector-map-tools (0.3.2-4buster) buster; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-noetic-hector-map-tools (0.3.1-4buster) buster; urgency=high

  * added changelogs

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 09 Oct 2013 00:00:00 -0000

ros-noetic-hector-map-tools (0.3.0-4buster) buster; urgency=high

  * catkinized hector_slam

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Aug 2013 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-hector-map-tools
Section: misc
Priority: optional
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-catkin, ros-noetic-nav-msgs
Homepage: http://ros.org/wiki/hector_map_tools
Standards-Version: 3.9.2

Package: ros-noetic-hector-map-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-nav-msgs
Description: hector_map_tools contains some functions related to accessing information from OccupancyGridMap maps.
 Currently consists of a single header.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-hector-map-tools//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
